#!/bin/sh
UNVS=universal-arm
PID=0010
WORK_DIR=/opt

if [ ! -d /data/update ];then
	mkdir /data/update	
fi
sleep 3
for i in 1 2 3 4 5;
do
  if [ $i == 5 ]; then
	mount -t vfat -o,codepage=936,iocharset=utf8 /dev/sda /mnt
	  if [ $? -ne 0 ]; then
			echo "mount /dev/sda to /mnt failed"
			continue
	  else
		ls -1t /mnt/creator4*.zip
		if [ $? -eq 0 ];then
			UPDATEFILE=`ls -1t /mnt/creator4*.zip | head -n 1`
			if [ -f $UPDATEFILE ];then
				echo "find update file: ${UPDATEFILE}"
				rm -rf /data/update
				cp -a ${UPDATEFILE} /data/
				if [ $? -ne 0 ];then
					rm -rf /data/creator4*.zip
					sync
					umount /mnt
					break
				fi
				sync
				mkdir -p /data/update
				sync
				SRCFILE="/data/`basename ${UPDATEFILE}`"
				if [ -f ${SRCFILE} ];then
					unzip -o ${SRCFILE} -d /data/update/
					sync
					rm -rf ${SRCFILE}
					if [ -f /data/update/$PID ] || [ -f /data/update/$UNVS ]; then
						chmod a+x /data/update/flashforge_init.sh
						/data/update/flashforge_init.sh 
						if [ $? -eq 0 ];then
							umount /mnt
							rm -rf /data/update
							sleep 10
						else
							umount /mnt
							rm -r /data/update
							exit 0
						fi
					fi
				fi
			fi
		fi
		if [ -f /mnt/$PID ] || [ -f /mnt/$UNVS ]; then
			if [ -f /mnt/flashforge_init.sh ]; then
				 echo "found /mnt/flashforge_init.sh"
				 chmod a+x /mnt/flashforge_init.sh
				 /mnt/flashforge_init.sh
				 umount /mnt
				 exit 0
			fi
			umount /mnt
		fi
		umount /mnt
	  fi
  else
	  if [ ! -e /dev/sda$i ]; then
		 echo "sda$i not exist"
		 continue
	  fi
	  mount -t vfat -o,codepage=936,iocharset=utf8 /dev/sda$i /mnt
	  if [ $? -ne 0 ]; then
		echo "mount /dev/sda$i to /mnt failed"
		continue
	  else
	  ls -1t /mnt/creator4*.zip
		if [ $? -eq 0 ];then
			UPDATEFILE=`ls -1t /mnt/creator4*.zip | head -n 1`
			if [ -f $UPDATEFILE ];then
				echo "find update file: ${UPDATEFILE}"
				rm -rf /data/update
				cp -a ${UPDATEFILE} /data/
				if [ $? -ne 0 ];then
					rm -rf /data/creator4*.zip
					sync
					umount /mnt
					break
				fi
				sync
				mkdir -p /data/update
				sync
				SRCFILE="/data/`basename ${UPDATEFILE}`"
				if [ -f ${SRCFILE} ];then
					unzip -o ${SRCFILE} -d /data/update/
					sync
					rm -rf ${SRCFILE}
					if [ -f /data/update/$PID ] || [ -f /data/update/$UNVS ]; then
						echo "found /mnt/flashforge_init.sh"
						chmod a+x /data/update/flashforge_init.sh
						/data/update/flashforge_init.sh 
						if [ $? -eq 0 ];then
							echo "update failed"
							umount /mnt
							rm -rf /data/update
							sleep 10
						else 
							umount /mnt
							rm -r /data/update
							exit 0
						fi
					fi
				fi
			fi
		fi
		if [ -f /mnt/$PID ] || [ -f /mnt/$UNVS ]; then
			if [ -f /mnt/flashforge_init.sh ]; then
				 echo "found /mnt/flashforge_init.sh"
				 chmod a+x /mnt/flashforge_init.sh
				 /mnt/flashforge_init.sh
				 umount /mnt
				 exit 0
			fi
			umount /mnt
		fi
		umount /mnt
	  fi
  fi	  
done

if [ -f /lib/modules/8821cu.ko ];then
        echo "insmod 8821cu.ko"      
        insmod /lib/modules/8821cu.ko
fi

export LD_LIBRARY_PATH=/opt/alsa/alsa-lib/lib:/opt/alsa/alsa-lib/lib/alsa-lib/smixer:$LD_LIBRARY_PATH 
export PATH=/opt/alsa/mplayer/bin:/opt/alsa/alsa-utils/bin:/opt/alsa/alsa-utils/sbin:/opt/alsa/alsa-lib/bin:${PATH}
                                                                                                                   
amixer cset numid=8  31                                                                                            
amixer cset numid=20 on                                                                                            
amixer cset numid=18 on                                                                                            
amixer cset numid=48 on                                                                                            
amixer cset numid=41 on                                                                                            
amixer cset numid=13 "Left OMixer"                                                                                 
amixer cset numid=12 "LR OMixer"                                                                                   
#FFMPEG x264                                                                                                       
export LD_LIBRARY_PATH=/opt/FFmpeg/lib:/opt/x264/lib:$LD_LIBRARY_PATH                                              
export LD_LIBRARY_PATH=/opt/mjpg-streamer/lib:$LD_LIBRARY_PATH                                              

TSNAME="gt9xxnew_ts"
EVENT=event1
for i in 1 2 3;
do
        file=/sys/class/input/event$i/device/name
        for name in `cat $file`
        do
                echo $name
        done
        if [ "$name" == $TSNAME ];then
               EVENT=event$i
               break;
        fi
done

echo $EVENT
                                                                                         
#TSLIB                                                                                   
TSLIBDIR=/opt/tslib-1.12                                                       
export TSLIB_TSDEVICE=/dev/input/$EVENT                               
export TSLIB_CALIBFILE=$TSLIBDIR/etc/pointercal                             
export TSLIB_CONSOLEDEVICE=none                                             
export TSLIB_FBDEVICE=/dev/fb0                                              
export TSLIB_TSEVENTTYPE=INPUT                                              
export TSLIB_CONFFILE=$TSLIBDIR/etc/ts.conf                                                           
export TSLIB_PLUGINDIR=$TSLIBDIR/lib/ts                                                                            
export LD_LIBRARY_PATH=$TSLIBDIR/lib:$LD_LIBRARY_PATH                                                              
# QT5                                                                                                 
QTDIR=/opt/qt-5.4.2                                                                      
export QT_PLUGIN_PATH=$QTDIR/plugins                                                     
export QT_QPA_PLATFORM=linuxfb:tty=/dev/fb0:rotation=270:mmsize=150x256        
export QT_QPA_PLATFORM_PLUGIN_PATH=$QTDIR/plugins                           
export QT_QPA_FONTDIR=$QTDIR/lib/fonts                                      
export QT_QPA_GENERIC_PLUGINS=tslib                                        
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH 


if [ ! -d /data/log ];then
        mkdir /data/log
fi

cd  /opt/software/
softwareDir=$(ls -ld [0-9]* |awk '/^d/ {print $NF}')
for SoftwareVer in $softwareDir 
do
    echo $SoftwareVer
done

if [ ! -f /opt/rerun.sh ]
then
    cp -f /opt/software/$SoftwareVer/abort.sh /opt/
    cp -f /opt/software/$SoftwareVer/rerun.sh /opt/
    cp -f /opt/software/$SoftwareVer/abort.img /opt/
    cp -f /opt/software/$SoftwareVer/mydaemon.out /opt/
    chmod a+x /opt/rerun.sh
    chmod a+x /opt/abort.sh
fi
sync

# wlan0 up
#sleep 2 
ifconfig wlan0 up
ifconfig eth0 up
#ifconfig eth0 10.33.23.110                                      
#ifconfig eth0 netmask 255.255.255.0                             
#route add default gw 10.33.23.1 netmask 255.255.255.0 eth0 
chmod a+x /opt/mydaemon.out
/opt/mydaemon.out &
echo "Start creator4-arm ..."
/opt/ffstartup-arm -f /opt/ffstartup.cfg &


